(define
 (domain robot)
 (:requirements :strips :disjunctive-preconditions)
 (:types STACKITEM)
 (:predicates
  (armempty)
  (rloc ?loc - ROOM)
  (in ?obj - PACKAGE ?loc - ROOM)
  (holding ?obj - PACKAGE)
  (closed ?d - ROOMDOOR)
  (door ?loc1 - ROOM ?loc2 - ROOM ?d - ROOMDOOR)
  (goal-in ?obj - PACKAGE ?loc - ROOM)
  (stackTop ?v1 - STACKITEM)
  (counterBegin ?v1 - STACKITEM)
  (counterEnd ?v1 - STACKITEM)
  (counterNext ?v1 - STACKITEM ?v2 - STACKITEM)
  (counterSame ?v1 - STACKITEM ?v2 - STACKITEM)
  (start_pickup)
  (finished_pickup)
  (start_putdown)
  (finished_putdown)
  (start_achieve-goals)
  (finished_achieve-goals)
  (start_achieve-goals_work2)
  (finished_achieve-goals_work2)
  (start_achieve-goals_work3)
  (finished_achieve-goals_work3))
  
 (:action pickup
  :parameters (?obj - PACKAGE ?loc - ROOM)
  :precondition
  (and
   (start_pickup)
   (armempty)
   (rloc ?loc)
   (in ?obj ?loc)
   (not (goal-in ?obj ?loc)))
  :effect
  (and
   (not (start_pickup))
   (finished_pickup)
   (not (in ?obj ?loc))
   (not (armempty))
   (holding ?obj)))
  
 (:action putdown
  :parameters (?obj - PACKAGE ?loc - ROOM)
  :precondition
  (and
   (start_putdown)
   (rloc ?loc)
   (holding ?obj)
   (goal-in ?obj ?loc))
  :effect
  (and
   (not (start_putdown))
   (finished_putdown)
   (not (holding ?obj))
   (armempty)
   (in ?obj ?loc)))
  
 (:action move
  :parameters (?loc1 - ROOM ?loc2 - ROOM ?d - ROOMDOOR)
  :precondition
  (and (rloc ?loc1) (door ?loc1 ?loc2 ?d) (not (closed ?d)))
  :effect (and (rloc ?loc2) (not (rloc ?loc1))))
  
 (:action open
  :parameters (?loc1 - ROOM ?loc2 - ROOM ?d - ROOMDOOR)
  :precondition (and (rloc ?loc1) (door ?loc1 ?loc2 ?d) (closed ?d))
  :effect (not (closed ?d)))
  
 (:action achieve-goals_work1
  :parameters ()
  :precondition (start_achieve-goals)
  :effect
  (and
   (not (start_achieve-goals))
   (finished_achieve-goals)
   (start_pickup)
   (not (finished_pickup))
   (start_achieve-goals_work2)
   (not (finished_achieve-goals_work2))))
  
 (:action achieve-goals_work2
  :parameters ()
  :precondition (and (start_achieve-goals_work2) (finished_pickup))
  :effect
  (and
   (not (start_achieve-goals_work2))
   (finished_achieve-goals_work2)
   (start_putdown)
   (not (finished_putdown))
   (start_achieve-goals_work3)
   (not (finished_achieve-goals_work3))))
  
 (:action achieve-goals_work3
  :parameters ()
  :precondition (and (start_achieve-goals_work3) (finished_putdown))
  :effect
  (and
   (not (start_achieve-goals_work3))
   (finished_achieve-goals_work3)
   (start_achieve-goals)
   (not (finished_achieve-goals)))))
