#!/bin/sh

ulimit -c 2048
ulimit -v 2097152
ulimit -t 7200

TIME="/usr/bin/time -p"
VARIANT=$1
FILES="pfile_*.${VARIANT}.pddl"
FF="./ff"
TFILE=times.${VARIANT}
BADFILE=BADRUN.${VARIANT}

rm "pfile_*.${VARIANT}.soln"

for f in ${FILES}; do
  SOLN=${f}.soln
  echo "Working on ${f}"
  echo "$f" >> $TFILE
  $TIME $FF -o domain.${VARIANT}.pddl -f ${f} >& ${SOLN}
  grep -q '^ff: found legal plan as follows' ${SOLN}
  if [ $? -ne 0 ]; then
    echo "Failure on ${f}" >> ${BADFILE}
    tail -1 ${BADFILE}
    echo "FAIL" >> $TFILE
    continue
  fi
  tail -3 ${SOLN} >> $TFILE
  tail -3 $TFILE
done

